import unittest

import mock

from lpreports.views import reports


class ReportsTestCase(unittest.TestCase):

    @mock.patch("lpreports.db.get_milestones_target_dates")
    def test_maintenance_nearest_milestone_empty(self, get_milestones_target_dates):
        get_milestones_target_dates.return_value = {}
        self.assertEqual(reports.get_nearest_targeted_milestone(), None)
